#ifndef COUNTDOWN_H
#define COUNTDOWN_H

#include <QtWidgets>
#include <QtGui>

class Countdown : public QWidget
{
  Q_OBJECT
  private:
    int countdownTime;
    QLCDNumber *timeLCD;
    QTimer *timer;
    QTimer *timerLCD;
  public:
    explicit Countdown( QWidget *parent = 0 );
  public slots:
    void start( int countdownTime );
    void showRemainingTime( void );
    void restart( void );
    void stop( void );
    int getUsedTime( void );
  signals:
    void timeout( void );
};

#endif // COUNTDOWN_H
